%define pypi_name pylint_venv

Name:           python-pylint-venv
Version:        3.0.3
Release:        %mkrel 2
Summary:        Make pylint respect virtualenvs
Group:          Development/Python
License:        MIT
URL:            https://github.com/jgosmann/pylint-venv/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pylint)

%description
Pylint does not respect the currently activated virtualenv if
it is not installed in every virtual environment individually.
This module provides a Pylint init-hook to use the same Pylint
installation with different virtual environments.


%package -n python3-pylint-venv
Summary:        Make pylint respect virtualenvs
Group:          Development/Python

%description -n python3-pylint-venv
Pylint does not respect the currently activated virtualenv if
it is not installed in every virtual environment individually.
This module provides a Pylint init-hook to use the same Pylint
installation with different virtual environments.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files pylint_venv


%check
%pyproject_check_import


%files -n python3-pylint-venv -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 3.0.3-2.mga10
+ Revision: 2155605
- rebuild for python3.13

* Sun Feb 25 2024 daviddavid <daviddavid> 3.0.3-1.mga10
+ Revision: 2044298
- new version: 3.0.3

* Sun Feb 25 2024 daviddavid <daviddavid> 3.0.2-1.mga10
+ Revision: 2044295
- initial package python-pylint-venv

